Subject: Re: bug#14719: 24.3; Crashing when setting frames to random colors

From: Steve Wainstead <[email-masked]>
Date: Mon, 25 Sep 2017 09:30:30 -0400

I’m running 25.2.1 these days and have not experienced it; and I’ve been using the code below once again, so your timing is actually perfect! If I do see it again I will email you a stack trace from the Crash Reporter.

> On Sep 25, 2017, at 9:22 AM, Alan Third <[email-masked]> wrote:
> 
> Steve Wainstead <[email-masked]> writes:
> 
>> I have a Lisp function that is run every time I do M-x compile:
>> 
>> ;; choose random colors every time we compile, just for fun
>> (defun sw-make-random-hex-color-string ()
>>  "Return a string in the form of #FFFFFF. Choose the number for
>>   #xffffff randomly using Emacs Lisp's builtin function (random)."
>>  ;; seed our random number generator: current datetime plus Emacs's
>>  ;; process ID
>>  (random t)
>>  (format "#%06x" (random #xffffff))
>>  )
>> 
>> (defun sw-randomize-frame-colors ()
>>  "Change foreground and background colors of the current frame to
>> random colors."
>>  (interactive)
>>  (let 
>>      (
>>       (fg-color (sw-make-random-hex-color-string)) 
>>       (bg-color (sw-make-random-hex-color-string))
>>       (color-distance #x3fffff)
>>       )
>>    (set-foreground-color fg-color)
>>    (set-background-color bg-color)
>>    )
>>  )
>> 
>> I *think* sometimes the color values come out the same and it causes
>> Emacs to crash. I'm not sure because it's almost instantaneous when I
>> run compile.
> 
> Hi, sorry it's taken so long for someone to come back to you.
> 
> I can't reproduce this crash, are you still experiencing it?
> -- 
> Alan Third
> 

---
Steve Wainstead
Software Engineer
Socialserve.com by Emphasys Software
(704) 709-2868
[email-masked]